const { DataTypes } = require('sequelize');
const { sequelize } = require('../config/database');

const BookingSegment = sequelize.define('booking_segments', {
  id: { type: DataTypes.INTEGER, primaryKey: true, autoIncrement: true },
  booking_id: { type: DataTypes.INTEGER, allowNull: false },
  from_stop_id: { type: DataTypes.INTEGER, allowNull: false },
  to_stop_id: { type: DataTypes.INTEGER, allowNull: false },
}, {
  timestamps: false,
});

module.exports = BookingSegment;
